Page MenuHomeFreeBSD

New port: devel/remotery: Single file, realtime CPU/GPU profiler library with remote web viewer
ClosedPublic

Authored by 0mp on Feb 1 2019, 4:03 PM.

Details

Summary
New port: devel/remotery: Single file, realtime CPU/GPU profiler library with remote web viewer


Remotery is a realtime CPU/GPU profiler hosted in a single C file with a
viewer that runs in a web browser.

Features:
- Lightweight instrumentation of multiple threads running on the CPU.
- Web viewer that runs in Chrome, Firefox and Safari. Custom WebSockets
  server transmits sample data to the browser on a latent thread.
- Profiles itself and shows how it's performing in the viewer.
- Console output for logging text.
- Console input for sending commands to your game.

WWW: https://github.com/Celtoys/Remotery

Also, I've upstreamed one of the patches: https://github.com/Celtoys/Remotery/pull/150

Test Plan
  • portlint
  • poudriere testport on 11.2, 12.0 and 13.0-CURRENT
  • the example file compiles and runs just fine with the web viewer

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Feb 1 2019, 4:03 PM
0mp edited the summary of this revision. (Show Details)Feb 1 2019, 4:04 PM
0mp added inline comments.
devel/remotery/pkg-plist
1 ↗(On Diff #53515)

I am not sure about this one, though. Should it live in /usr/local/include? There are some Xorg .c files living under /usr/local/include already...

mat added inline comments.Feb 1 2019, 4:37 PM
devel/remotery/pkg-plist
1 ↗(On Diff #53515)

Well the fact that other people were careless and put crap somewhere does not mean you have to do like them :-p

Is the .c used, or is it only a .h "library"?

Shouldn't it be compiled maybe?

0mp added inline comments.Feb 13 2019, 11:36 PM
devel/remotery/pkg-plist
1 ↗(On Diff #53515)

.c is used. It is not really a single-header library.

I may compile the example with its default options to make it easier for the users to test it out. The .c file has to be installed anyway, however.

I think that it should go into a data dir...

mat added inline comments.Feb 14 2019, 11:32 AM
devel/remotery/pkg-plist
1 ↗(On Diff #53515)

It probably should, yes.

0mp updated this revision to Diff 53958.Feb 15 2019, 11:31 AM
  • Update to the lastest version (upstreamed patches)
  • Compile the sample program and install it with examples
  • Replace NO_BUILD with an empty do-build target so that post-build-EXAMPLES-on is run
mat added inline comments.Feb 15 2019, 11:42 AM
devel/remotery/Makefile
24 ↗(On Diff #53958)

Please add a comment WHY you have an empty target.

0mp updated this revision to Diff 53960.Feb 15 2019, 12:41 PM
  • Readd changes to devel/Makefile
  • Explain the empty do-build target
mat accepted this revision.Feb 16 2019, 4:26 PM
This revision is now accepted and ready to land.Feb 16 2019, 4:26 PM
This revision was automatically updated to reflect the committed changes.